Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02851 Graphics Major Always Jan 19, 2009, 18:21 Jul 5, 2016, 22:03
Tester Kale View Status Public Platform MAME (Self-compiled)
Assigned To crazyc Resolution Fixed OS
Status [?] Resolved   Driver
Version 0.129u1 Fixed in Version 0.168 Build Normal
Summary 02851: tetriskr: Corrupt game graphics after some time of gameplay
Description After reaching level 7,the game gfxs seems to change format,making it unplayable.
Despite the graphic corruption,the game seems to run "fine".
Steps To Reproduce
Additional Information
Flags Noted in Source
Regression Version
Affected Sets / Systems tetriskr
Attached Files
png file icon 0000.png (9,197 bytes)  Jan 19, 2009, 18:21

zip file icon tetriskr_inp.zip (32,791 bytes)  Jan 19, 2009, 18:22
zip file icon tetriskr-149u1.zip (146,795 bytes)  Aug 5, 2013, 08:23 by M.A.S.H.
zip file icon tetriskr.zip (146,783 bytes)  Aug 5, 2013, 08:31 by M.A.S.H.


-  Notes
User avatar
No.03611
Kale
(Developer)
Jan 19, 2009, 18:22
Added an inp of this issue,thanks to Scuore for finding this bug.
User avatar
No.03612
Tafoid
(Administrator)
Jan 19, 2009, 19:11
Confirmed with use of provided .INP
User avatar
No.03636
Kale
(Developer)
Jan 24, 2009, 13:05
bit 1 (2) of I/O $3c8 appears to control "something" and seems related to these crashes.Tetriskr doesn't seem to check the H-Blank/V-Blank at the usual location (I/O $3ba/$3da) so it's possible that's checked at this other location instead,on a different manner however...
User avatar
No.03647
Luigi30
(Tester)
Jan 25, 2009, 04:28
edited on: Jan 25, 2009, 04:29
The .inp is invalid on u2.

E:\mame>mame tetriskr -playback tetriskr.inp
Fatal error: Failed to open file for playback (src/emu/inptport.c:3954)

User avatar
No.03648
Luigi30
(Tester)
Jan 25, 2009, 04:35
It doesn't seem to be tied into what level you're at, as the bug happened to me on level 2 of the second game I was on in one session.
User avatar
No.09698
M.A.S.H.
(Senior Tester)
Aug 5, 2013, 08:23
Make an INP file for MAME 0.149u1 and it has no gfx problems up to level 7.
Seems to work now!
User avatar
No.09712
Haze
(Senior Tester)
Aug 7, 2013, 20:44
seems to have a more annoying problem with inputs getting read twice or ignored tho, maybe a CPU sync issue.
User avatar
No.12804
Kale
(Developer)
Jun 24, 2016, 17:18
This seems fixed now, other than having annoying input lag but maybe it's just like that?
User avatar
No.12860
B2K24
(Moderator)
Jun 30, 2016, 05:45
Was able to hit level 8 with no GFX corruption, but at that level the input lag gets really frustrating.

Marking Resolved.
User avatar
No.12901
M.A.S.H.
(Senior Tester)
Jul 5, 2016, 22:03
B2K24:
'Fixed in Version' is 0.168 and not 0.176GIT

The game speed/input problem was fixed in MAME 0.168:
cga: treat as fixed sync monitor [Carl]. See http://git.redump.net/mame/commit/?id=465caf8038a120b4c1ffad9df67a1dc7474e5bb1

The corrupt graphic was fixed in 0.149u1 or before